{% extends 'order/order_car_form.html' %}
{% load static %}
{% load humanize %}

{% block title %}{{ html_title }}{% endblock title %}
{% block body %}
  {% include 'auto/search_car.html' %}

  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box report-bar">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block top_bar %}
  <div v-if="photos_count_uploaded < all_Photos_after" class="load-photo">
    <div class="photo_alert right-bar-toggle" v-cloak>
      <div class="btn__title">
        <p style="color: red;font-size: 14px;">
              Загрузка ${all_Load_Photos} из ${all_Photos_after} фото <br>
              пожалуйста подождите
          </p>
      </div>
    </div>
  </div>
  <div class="load-photo-before" style="display: none">
    <div class="photo_alert right-bar-toggle" v-cloak>
      <div class="btn__title">
        <p style="color: red;font-size: 14px;">Подготовка картинок к загрузке</p>
      </div>
    </div>
  </div>
  <div class="top-bar">
    <div class="top-bar__content">
      <div class="top-bar__report-btn-menu">
        <div class="btn btn_s btn_default btn_inline right-bar-toggle" v-cloak>
          <div class="btn__title">Шаг ${ steps[currentStep].groupIndex + 1 }/${ count_steps }</div>
        </div>
      </div>
      <div class="top-bar__mobile-menu">
        <div class="btn btn_m btn_square btn_mobile-menu">
          <div class="btn__icon icon icon_m">
            <svg>
              <use xlink:href="#icon_menu_24"></use>
            </svg>
          </div>
        </div>
      </div>
    </div>
    <div class="top-bar__progress js-report-edit">
      <div class="progress bg_info">
        <div class="progress__bar"></div>
        <div class="progress__mask"></div>
      </div>
    </div>
  </div>
{% endblock %}

{% block page %}
  <div class="section section_default" v-cloak>
    <div class="section__content">
      <div class="section__header">
        <div class="section__title">
          <h1>{{ html_title }}</h1>
        </div>
      </div>
      <script type="text/x-template" id="select2-template">
        <select>
          <slot></slot>
        </select>
      </script>
      <script type="text/x-template" id="range">
        <div class="range22">
          <slot></slot>
        </div>
      </script>
<!--      <modal-alert -->
<!--        name="photo_alert"-->
<!--        :value="'Фото: Загружено' + photos_count_uploaded + 'из' + photos_count_upload"-->
<!--        :alert="alert_photo_upload"-->
<!--        :all_device="false"-->
<!--        v-on:event_set_property="setProperty"-->
<!--      >-->
<!--      </modal-alert>-->
      <modal-alert 
        :width="300"
        name="report_error"
        :value="errors_text"
        :alert="alert_report_error"
        :all_device="true"

        v-on:event_set_property="setProperty"
      >
      </modal-alert>
      {% include 'report/gallery.html' %}
      <div class="section__body" v-cloak>
        <div class="report-edit">
          <div class="report-edit__nav">
            <div class="report-nav">
              <step-button 
              v-for="(step, name, i) in steps" 
              :label="name" 
              :current-step="currentStep"
              :name="step.name" 
              :i=step.groupIndex
              :key="i"
              v-on:event_show_step="toggleStep"
              ></step-button>
            </div>
          </div>
          <div class="report-edit__content">
            <div class="report-form__header" v-if="photo_permition">
                <p style="color: red">фото не загружено сообщите администратору</p>
            </div>
            <!--Форма -->
            <form class="report-form report-form_edit">
              <!--Привязка автомобиля -->
              {% include 'report/edit/car_ref.html' %}
              <!--Привязка автомобиля конец -->

              <!--Общая информация -->
              {% include 'report/edit/base_info.html' %}
              <!--Общая информация конец -->

              <!--Юридическая проверка-->
              {% include 'report/edit/jur.html' %}
              <!--Юридическая проверка конец -->

              <!--Двигатель и трансмиссия-->
              {% include 'report/edit/engine.html' %}
              <!--Двигатель и трансмиссия конец -->

              <!--Кузов-->
              {% include 'report/edit/kuzov.html' %}
              <!--Кузов конец -->

              <!--Рулевое управление-->
              {% include 'report/edit/rpt.html' %}
              <!--Рулевое управление конец -->

              <!--Двигатель и трансмиссия-->
              {% include 'report/edit/diagnostic.html' %}
              <!--Двигатель и трансмиссия конец -->

              <!--Электрика и безопасность/отопление и вентиляция-->
              {% include 'report/edit/electrick.html' %}
              <!--Электрика и безопасность/отопление и вентиляция конец -->

              <!--Состояние салона-->
              {% include 'report/edit/salon.html' %}
              <!--Состояние салона конец -->

              <!--Таблички и маркировки Vin-->
              {% include 'report/edit/vin.html' %}
              <!--Таблички и маркировки Vin конец -->

              <!--Осмотр на подъемнике -->
              {% include 'report/edit/looking.html' %}
              <!--Осмотр на подъемнике конец -->

              <!--Дополнительное оборудование -->
              {% include 'report/edit/dop.html' %}
              <!--Дополнительное оборудование -->

              <!--Заключение експерта -->
              {% include 'report/edit/conclusion_expert.html' %}
              <!--Заключение експерта конец -->
</form>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}


{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var steps = [];
    {% if report %}
      var listOfCars = "{% url 'report:cars_for_update_report' report.id %}";
    {% else %}
      var listOfCars = "{% url 'report:cars_for_add_report' %}";
    {% endif %}
    var report_id = {{ report.id|default:"null" }};
    var reportTypes = JSON.parse('{{ report_types|safe }}');
    var numbersOfHosts = JSON.parse('{{ numbers_of_hosts|safe }}');
    var startStep = 0;
    {% if report and report.auto %}
      var auto_id = {{ report.auto.id }}
    {% endif %}
  </script>
{% endblock %}


{% block js-bundle %}
  <script src="{% static 'js/reportadd.bundle.js' %}"></script>
  <script src="{% static 'assets/js/other/img_resizer.js' %}"></script>
{% endblock %}